dpp::event_member
scheduled_event.h
snowflake snowflake dpp::event_member::guild_scheduled_event_id guild_scheduled_event_id dpp::event_member::guild_scheduled_event_id

Event ID associated with.

dpp::guild_member dpp::guild_member dpp::event_member::member member dpp::event_member::member

Member details of user on the associated guild.

dpp::user dpp::user dpp::event_member::user user dpp::event_member::user

User details of associated user.

Represents a guild member/user who has registered interest in an event.

T
bool
dpp::event_member
guild_scheduled_event_id
user
member
dpp::guild_member
nickname
roles
flags
guild_id
user_id
avatar
communication_disabled_until
joined_at
premium_since
dpp::json_interface< T >
dpp::json_interface< guild_member >
< guild_member >
dpp::json_interface< user >
< user >
dpp::managed
id
dpp::snowflake
value
dpp::user
global_name
username
avatar
avatar_decoration
primary_guild
flags
discriminator
refcount
dpp::utility::iconhash
first
second
dpp::utility::primaryguild
id
enabled
tag
badge
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< dpp::snowflake >
elements
< dpp::snowflake >
time_t
uint16_t
uint32_t
uint64_t
uint8_t
- dpp::event_member
  guild_scheduled_event_id
- dpp::event_member
  member
- dpp::event_member
  user